android – 测试apk multidexed不会在api-19上运行

在我目前的项目中,我们的测试APK已超过64k方法限制.
 我们启用了multidex,因此在使用API​​>的设备上运行测试19,没有问题,但在API 19上,运行器无法在第二个dex文件中找到类.

我试过减少androidTestCompile依赖,但最大的罪魁祸首是espresso,我需要它.

在本机上不支持multidex的平台上运行的测试APK上是否有任何解决dex限制的工作?

最佳答案
Android L之前,Dalvik运行时用于执行应用程序代码.要解决它,你可以使用multidex support library.

Read more here.

转载注明原文:android – 测试apk multidexed不会在api-19上运行 - 代码日志